# Form implementation generated from reading ui file 'src/eric7/MicroPython/MicroPythonWebreplUrlsConfigDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_MicroPythonWebreplUrlsConfigDialog(object):
    def setupUi(self, MicroPythonWebreplUrlsConfigDialog):
        MicroPythonWebreplUrlsConfigDialog.setObjectName("MicroPythonWebreplUrlsConfigDialog")
        MicroPythonWebreplUrlsConfigDialog.resize(713, 516)
        MicroPythonWebreplUrlsConfigDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(MicroPythonWebreplUrlsConfigDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.webreplUrlsList = QtWidgets.QTreeWidget(parent=MicroPythonWebreplUrlsConfigDialog)
        self.webreplUrlsList.setEditTriggers(QtWidgets.QAbstractItemView.EditTrigger.NoEditTriggers)
        self.webreplUrlsList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.webreplUrlsList.setRootIsDecorated(False)
        self.webreplUrlsList.setItemsExpandable(False)
        self.webreplUrlsList.setObjectName("webreplUrlsList")
        self.gridLayout.addWidget(self.webreplUrlsList, 0, 0, 1, 1)
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.addButton = QtWidgets.QPushButton(parent=MicroPythonWebreplUrlsConfigDialog)
        self.addButton.setObjectName("addButton")
        self.verticalLayout.addWidget(self.addButton)
        self.editButton = QtWidgets.QPushButton(parent=MicroPythonWebreplUrlsConfigDialog)
        self.editButton.setObjectName("editButton")
        self.verticalLayout.addWidget(self.editButton)
        self.removeButton = QtWidgets.QPushButton(parent=MicroPythonWebreplUrlsConfigDialog)
        self.removeButton.setObjectName("removeButton")
        self.verticalLayout.addWidget(self.removeButton)
        self.removeAllButton = QtWidgets.QPushButton(parent=MicroPythonWebreplUrlsConfigDialog)
        self.removeAllButton.setObjectName("removeAllButton")
        self.verticalLayout.addWidget(self.removeAllButton)
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem)
        self.gridLayout.addLayout(self.verticalLayout, 0, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=MicroPythonWebreplUrlsConfigDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 2, 0, 1, 2)
        self.label = QtWidgets.QLabel(parent=MicroPythonWebreplUrlsConfigDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 1, 0, 1, 2)

        self.retranslateUi(MicroPythonWebreplUrlsConfigDialog)
        self.buttonBox.accepted.connect(MicroPythonWebreplUrlsConfigDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(MicroPythonWebreplUrlsConfigDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(MicroPythonWebreplUrlsConfigDialog)

    def retranslateUi(self, MicroPythonWebreplUrlsConfigDialog):
        _translate = QtCore.QCoreApplication.translate
        MicroPythonWebreplUrlsConfigDialog.setWindowTitle(_translate("MicroPythonWebreplUrlsConfigDialog", "WebREPL URLs"))
        self.webreplUrlsList.setSortingEnabled(True)
        self.webreplUrlsList.headerItem().setText(0, _translate("MicroPythonWebreplUrlsConfigDialog", "Name"))
        self.webreplUrlsList.headerItem().setText(1, _translate("MicroPythonWebreplUrlsConfigDialog", "Description"))
        self.webreplUrlsList.headerItem().setText(2, _translate("MicroPythonWebreplUrlsConfigDialog", "URL"))
        self.addButton.setToolTip(_translate("MicroPythonWebreplUrlsConfigDialog", "Press to add a new entry."))
        self.addButton.setText(_translate("MicroPythonWebreplUrlsConfigDialog", "Add..."))
        self.editButton.setToolTip(_translate("MicroPythonWebreplUrlsConfigDialog", "Press to edit the selected entry."))
        self.editButton.setText(_translate("MicroPythonWebreplUrlsConfigDialog", "Edit..."))
        self.removeButton.setToolTip(_translate("MicroPythonWebreplUrlsConfigDialog", "Press to remove the selected entries."))
        self.removeButton.setText(_translate("MicroPythonWebreplUrlsConfigDialog", "Remove"))
        self.removeAllButton.setToolTip(_translate("MicroPythonWebreplUrlsConfigDialog", "Press to remove all entries."))
        self.removeAllButton.setText(_translate("MicroPythonWebreplUrlsConfigDialog", "Remove All"))
        self.label.setText(_translate("MicroPythonWebreplUrlsConfigDialog", "<b>Note:</b> The name of an entry must be unique amongst the list."))
